baseURL = "https://shockrah.gitlab.io/resume"
languageCode = "en-us"
theme = "sada"

[params]
    title = "Alejandro Santillana"
    author = "Alejandro Santillana"
    description = "Writer of wares"
    copyright = ""
    copyright_link = ""

    # Profile section
    [params.profile]
        name = "Alejandro Santillana"
        photo = "profile.png"

    # Section for links to social websites
    [params.social]
        title = "Links"

        [[params.social.list]]
        class = "fab"
        icon = "fa-linkedin-in"
        url = "https://www.linkedin.com/in/alejandro-santillana-38458b121/"
        title = "LinkedIn"

        [[params.social.list]]
        class = "fab"
        icon = "fa-gitlab"
        url = "https://gitlab.com/shockrah"
        title = "GitHub"

    # Education section
    [params.education]
        title = "Education"

        [[params.education.list]]
        degree = "Bachelors of Computer Science"
        college = "California State University of Monterey Bay"
        dates = "2018 - 2019(December)"

        [[params.education.list]]
        college = "Irvine Valley College"
        dates = "2016 - 2018"

        [[params.education.list]]
        degree = "High School Diploma"
        college = "Aliso Niguel High School"
        dates = "2011 - 2015"

    # Languages section
    [params.language]
        title = "Languages"

        [[params.language.list]]
        language = "C/C++, Rust"
				
        [[params.language.list]]
        language = "Python, Bash"

        [[params.language.list]]
        language = "x86/x64, Assembly"

        [[params.language.list]]
		language = "HTML, CSS, Javascript"

    # Interests section
    [params.hobbies]
        title = "Hobbies"

        [[params.hobbies.list]]
        interest = "Writing and stargazing"
		
		[[params.hobbies.list]]
        interest = "Hacking"

        [[params.hobbies.list]]
        interest = "Cooking"

    [params.aboutme]
        description = "Libre software, hacking, and surfing."

    [params.experiences]
        icon = "fa-briefcase"
        title = "Experience"

        [[params.jobs.list]]
        position = "Computer Architecture Teaching Assistant CSU Monterey Bay"
        dates = "October 2019 - Current"
        details = "Prepared students for exams and helped with assignments through consistent office hour scheduling and by providing ample feedback on assignments. Course material covered MIPS assembly , sequential and combinatorial logic, and an introduction to CPU design."

        [[params.jobs.list]]
        position = "Repair Technician"
        dates = "February 2019 - April 2019"
        company = "Loaves, Fishes, & Computers Inc."
        details = "Diagnosed and repaired issues with Windows laptops and desktops. All repairs required technical write-ups describing the process used in troubleshooting. I assisted customers whenever they had questions regarding repairs or troubleshooting other problems."

        [[params.jobs.list]]
		position = "Data Visualization Capstone Project"
		dates = "September 2019 - December 2019"
		company = "CSU Monterey Bay"
		details = "Created a data visualization tool set with specially designed visualization algorithms to better represent supercomputer resource usage. Worked with data from the U.S Naval Research Laboratory's compute clusters."
		
        [[params.jobs.list]]
        position = "Kitchen Staff"
        dates = "July 2016 - August 2016"
        company = "Edible Arrangements"
        details = "Prepared fruit by washing, cutting, and decorating with various toppings.Other responsibilities also included: cleaning kitchen workstations, taking the trash out, washing essential kitchen equipment, maintaining the refrigerator clean as well."

    # Projects section
    [params.projects]
        icon = "fa-project-diagram"
        title = "Projects"

        [[params.projects.list]]
        title = "Homebrew Operating system"
        url = "https://gitlab.com/shockrah/jankos"
        description = "x86 based operating system written from scratch using C, x86 assembly, and built with GNU Make."

        [[params.projects.list]]
		title = "Freechat - A Decentralized Chat Platform"
		url = "https://gitlab.com/shockrah/freechat"
		description = "Built with a Rust backend(Rocket) serving a restful API, SQL database, and an official app built with ElectonJS for connecting to a server."

        [[params.projects.list]]
        title = "Personal Blog"
        url = "https://gitlab.com/shockrah/shockrah-city"
        description = "Personal blog built automatically built through shell scripts and markdown."
		
		
        [[params.projects.list]]
        title = "DWM Shell Scripts"
        url = "https://gitlab.com/shockrah/shell-scripts"
        description = "Collection of shell scripts for those running DWM"

        [[params.projects.list]]
        title = "Static ELF Parser/Dissassembler"
        url = "https://gitlab.com/shockrah/hexd"
        description = "Reads linux ELF binary files and provides debug information assisting in reverse engineering the binary."

    # Skills section
    [params.skills]
        icon = "fa-cogs"
        title = "Skills"

        [[params.skills.list]]
        skill = "Git Source Control"
        skillrating = "98"

        [[params.skills.list]]
        skill = "Continuous Integration/ Continuous Deployment with Gitlab and Docker"
        skillrating = "85"

        [[params.skills.list]]
        skill = "Linux configuration and development"
        skillrating = "95"
		
        [[params.skills.list]]
        skill = "SQL Database Management"
        skillrating = "95"
